UNSQUASHFS(1)

NAME
mksquashfs - tool to uncompress squashfs filesystems

SYNOPSIS
unsquashfs [OPTIONS] FILESYSTEM [directories or files to extract]

DESCRIPTION
Squashfs is a highly compressed read-only filesystem for Linux. It uses zlib compression to compress both files, inodes and directories. Inodes in the system are very small and all blocks are packed to minimize data overhead. Block sizes greater than 4K are supported up to a maximum of 64K.

Squashfs is intended for general read-only filesystem use, for archival use (i.e. in cases where a .tar.gz file may be used), and in constrained block device/memory systems (e.g. embedded systems) where low overhead is needed.

OPTIONS

-v, -version
    print version, licence and copyright information.

-d PATHNAME, -dest PATHNAME
    unsquash to PATHNAME, default "squashfs-root".

-n, -no-progress
    don't display the progress bar.

-no, -no-xattrs
    don't extract xattrs in file system.

-x, -xattrs
    extract xattrs in file system (default).

-p NUMBER, -processors NUMBER
    use NUMBER processors. By default will use number of processors available.

-i, -info
    print files as they are unsquashed.

-li, -linfo
    print files as they are unsquashed with file attributes (like ls -l output).

-l, -ls
    list filesystem, but don't unsquash.

-ll, -lls
    list filesystem with file attributes (like ls -l output), but don't unsquash.

-lln
    list filesystem with numeric file attributes (like ls -ln output), but don't unsquash.

-f, -force
    if file already exists then overwrite.

-s, -stat
    display filesystem superblock information.

-e EXTRACT_FILE, -ef EXTRACT_FILE
    list of directories or files to extract. One per line.

-da SIZE, -data-queue SIZE
    Set data queue to SIZE Mbytes. Default 256 Mbytes.

-fr SIZE, -frag-queue SIZE
    Set fragment queue to SIZE Mbytes. Default 256 Mbytes.

-r, -regex
    treat extract names as POSIX regular expressions rather than use the default shell wildcard expansion (globbing).

  Decompressors available

gzip

lzo

xz

SEE ALSO
mksquashfs(1)

HOMEPAGE
More information about unsquashfs and the squashfs filesystem can be found at <http://squashfs.sourceforge.net/>.

AUTHOR
squashfs was written by Phillip Lougher <phillip@squashfs.org.uk>.

This manual page was written by Daniel Baumann <mail@daniel-baumann.ch>.